curl "https://api.usegately.com/api/v1/contacts/CONTACT_ID" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "X-Project-ID: YOUR_PROJECT_ID"
const res = await fetch('https://api.usegately.com/api/v1/contacts/CONTACT_ID', {
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'X-Project-ID': 'YOUR_PROJECT_ID',
}
})
const contact = await res.json()
import { GatelyContacts } from '@gately/sdk'
const crm = new GatelyContacts({ projectId: 'YOUR_PROJECT_ID' })
const contact = await crm.get('CONTACT_ID')
{
"id": "a1b2c3d4-e5f6-4789-abcd-ef1234567890",
"project_id": "proj-uuid-here",
"name": "Jane Smith",
"email": "jane@example.com",
"phone": "+1 555 000 1234",
"company": "Acme Corp",
"status": "active",
"notes": "Met at SaaStr 2025",
"custom_fields": { "plan": "pro", "source": "webinar" },
"unsubscribed": false,
"tags": [
{ "id": "tag-uuid", "name": "VIP", "color": "#ff6600", "created_at": "2025-01-01T00:00:00.000Z" }
],
"last_contacted_at": "2025-05-10T09:00:00.000Z",
"created_at": "2025-01-15T12:00:00.000Z",
"updated_at": "2025-05-10T09:00:00.000Z"
}
{
"error": "Contact not found"
}
Contacts
Get Contact
Retrieve a single contact by ID
GET
/
api
/
v1
/
contacts
/
{contactId}
curl "https://api.usegately.com/api/v1/contacts/CONTACT_ID" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "X-Project-ID: YOUR_PROJECT_ID"
const res = await fetch('https://api.usegately.com/api/v1/contacts/CONTACT_ID', {
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'X-Project-ID': 'YOUR_PROJECT_ID',
}
})
const contact = await res.json()
import { GatelyContacts } from '@gately/sdk'
const crm = new GatelyContacts({ projectId: 'YOUR_PROJECT_ID' })
const contact = await crm.get('CONTACT_ID')
{
"id": "a1b2c3d4-e5f6-4789-abcd-ef1234567890",
"project_id": "proj-uuid-here",
"name": "Jane Smith",
"email": "jane@example.com",
"phone": "+1 555 000 1234",
"company": "Acme Corp",
"status": "active",
"notes": "Met at SaaStr 2025",
"custom_fields": { "plan": "pro", "source": "webinar" },
"unsubscribed": false,
"tags": [
{ "id": "tag-uuid", "name": "VIP", "color": "#ff6600", "created_at": "2025-01-01T00:00:00.000Z" }
],
"last_contacted_at": "2025-05-10T09:00:00.000Z",
"created_at": "2025-01-15T12:00:00.000Z",
"updated_at": "2025-05-10T09:00:00.000Z"
}
{
"error": "Contact not found"
}
Headers
string
required
Bearer YOUR_API_KEYstring
Your project UUID. Not required if the API key already encodes the project.
Path Parameters
string
required
The contact UUID
Response
Returns a single contact object with resolved tags.string
Unique contact identifier
string
Full name
string
Email address
string
Phone number
string
Company name
string
new · active · inactive · archivedstring
Internal notes
object
Key-value custom field data
boolean
Whether the contact has unsubscribed from emails
ContactTag[]
Resolved tag objects
string
ISO 8601 timestamp of last contact
string
ISO 8601 creation timestamp
curl "https://api.usegately.com/api/v1/contacts/CONTACT_ID" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "X-Project-ID: YOUR_PROJECT_ID"
const res = await fetch('https://api.usegately.com/api/v1/contacts/CONTACT_ID', {
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'X-Project-ID': 'YOUR_PROJECT_ID',
}
})
const contact = await res.json()
import { GatelyContacts } from '@gately/sdk'
const crm = new GatelyContacts({ projectId: 'YOUR_PROJECT_ID' })
const contact = await crm.get('CONTACT_ID')
{
"id": "a1b2c3d4-e5f6-4789-abcd-ef1234567890",
"project_id": "proj-uuid-here",
"name": "Jane Smith",
"email": "jane@example.com",
"phone": "+1 555 000 1234",
"company": "Acme Corp",
"status": "active",
"notes": "Met at SaaStr 2025",
"custom_fields": { "plan": "pro", "source": "webinar" },
"unsubscribed": false,
"tags": [
{ "id": "tag-uuid", "name": "VIP", "color": "#ff6600", "created_at": "2025-01-01T00:00:00.000Z" }
],
"last_contacted_at": "2025-05-10T09:00:00.000Z",
"created_at": "2025-01-15T12:00:00.000Z",
"updated_at": "2025-05-10T09:00:00.000Z"
}
{
"error": "Contact not found"
}
Was this page helpful?